|
From: <kin...@us...> - 2025-09-10 17:08:42
|
Revision: 7397
http://sourceforge.net/p/teem/code/7397
Author: kindlmann
Date: 2025-09-10 17:08:41 +0000 (Wed, 10 Sep 2025)
Log Message:
-----------
finally adding support for pkg-config, and also making old-school teem-config script
Added Paths:
-----------
teem/trunk/CMake/teem-config.in
teem/trunk/CMake/teem.pc.in
Added: teem/trunk/CMake/teem-config.in
===================================================================
--- teem/trunk/CMake/teem-config.in (rev 0)
+++ teem/trunk/CMake/teem-config.in 2025-09-10 17:08:41 UTC (rev 7397)
@@ -0,0 +1,40 @@
+#!/bin/sh
+# teem-config: script to document how this Teem was built
+# Copyright (C) 2025 University of Chicago
+
+USAGE="Usage: $0 [--cflags] [--libs] [--version]"
+
+if [ $# -eq 0 ]; then
+ echo $USAGE
+ exit 1
+fi
+
+prefix=@CMAKE_INSTALL_PREFIX@
+exec_prefix=${prefix}
+libdir=@CMAKE_INSTALL_FULL_LIBDIR@
+includedir=@CMAKE_INSTALL_FULL_INCLUDEDIR@
+version=@Teem_VERSION_STRING@
+private_libs="@Teem_PC_PRIVATE_LIBS@"
+
+show_cflags=no
+show_libs=no
+show_version=no
+
+for arg in "$@"; do
+ case "$arg" in
+ --cflags) show_cflags=yes ;;
+ --libs) show_libs=yes ;;
+ --version) show_version=yes ;;
+ *) echo $USAGE; exit 1 ;;
+ esac
+done
+
+if [ "$show_cflags" = yes ]; then
+ echo -I${includedir}
+fi
+if [ "$show_libs" = yes ]; then
+ echo -L${libdir} -lteem ${private_libs}
+fi
+if [ "$show_version" = yes ]; then
+ echo ${version}
+fi
Added: teem/trunk/CMake/teem.pc.in
===================================================================
--- teem/trunk/CMake/teem.pc.in (rev 0)
+++ teem/trunk/CMake/teem.pc.in 2025-09-10 17:08:41 UTC (rev 7397)
@@ -0,0 +1,11 @@
+prefix=@CMAKE_INSTALL_PREFIX@
+exec_prefix=${prefix}
+libdir=@CMAKE_INSTALL_FULL_LIBDIR@
+includedir=@CMAKE_INSTALL_FULL_INCLUDEDIR@
+
+Name: Teem
+Description: Tools to process and visualize scientific data and images
+Version: @Teem_VERSION_STRING@
+Cflags: -I${includedir}
+Libs: -L${libdir} -lteem
+Libs.private: @Teem_PC_PRIVATE_LIBS@
This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.
|